"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const clear_1 = require("./clear");
let clear;
beforeEach(() => {
    testing_1.Testing.reset();
    clear = testing_1.Testing.newElement(clear_1.Clear);
});
afterEach(async () => {
    await clear.dispose();
});
test('clearScreen() should be called', async () => {
    console.clear = jest.fn();
    await clear.init();
    await clear.exec();
    expect(console.clear).toBeCalled();
});
//# sourceMappingURL=clear.spec.js.map