"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sleep = void 0;
const time_1 = require("../../libs/time");
const element_shadow_1 = require("../element-shadow");
class Sleep extends element_shadow_1.ElementShadow {
    duration;
    async init(props) {
        if (typeof props === 'number') {
            this.duration = props;
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        await (0, time_1.sleep)(this.duration);
    }
}
exports.Sleep = Sleep;
//# sourceMappingURL=sleep.js.map