import { ElementProps } from "../../components/element.props";
import { ElementShadow } from "../element-shadow";
export type TestProps = string | ({
    check?: string;
    script?: string;
} & ElementProps);
export declare class Test extends ElementShadow {
    private defaultTestTitle;
    testTitle: string;
    check?: string;
    script?: string;
    ignoreVarsBeforeExec: string[];
    init(props: TestProps): Promise<void>;
    failed(description?: string): void;
    exec(): Promise<any>;
}
