"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Vars = void 0;
const element_shadow_1 = require("../element-shadow");
class Vars extends element_shadow_1.ElementShadow {
    props;
    ignoreVarsBeforeExec = ['props'];
    async init(props) {
        this.props = props;
    }
    async exec() {
        this.props = await this.scene.getVars(this.props, this);
        this.logger.trace(`[%s] \t%j`, this.tag, this.props);
        this.scene.mergeVars(this.props);
    }
}
exports.Vars = Vars;
//# sourceMappingURL=vars.js.map