"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("./../testing");
const data = { foo: 'bar' };
beforeEach(() => {
    testing_1.Testing.reset();
});
it('push/get/clear a template in caches', () => {
    testing_1.Testing.rootScene.templatesManager.pushToCached('test', data);
    expect(testing_1.Testing.rootScene.templatesManager.getFromCached('test')).toEqual(data);
    testing_1.Testing.rootScene.templatesManager.reset();
    expect(() => testing_1.Testing.rootScene.templatesManager.getFromCached('test')).toThrowError();
});
//# sourceMappingURL=templates-manager.spec.js.map