"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtilityFunctionManager = void 0;
class UtilityFunctionManager {
    get base64() {
        const { Base64 } = require('../libs/encrypt/base64');
        return new Base64();
    }
    get md5() {
        const { MD5 } = require('../libs/encrypt/md5');
        return new MD5();
    }
    get aes() {
        const { AES } = require('../libs/encrypt/aes');
        return new AES();
    }
    format = {
        fileName(fileName) {
            const { formatFileName } = require('../libs/format');
            return formatFileName(fileName);
        },
        number(num, opts) {
            const { formatNumber } = require('../libs/format');
            return formatNumber(num, opts);
        }
    };
}
exports.UtilityFunctionManager = UtilityFunctionManager;
//# sourceMappingURL=utility-function-manager.js.map