import { ElementShadow } from '../element-shadow';
import { GroupItemProps, GroupProps } from "./group.props";
export declare class Group<GP extends GroupProps, GIP extends GroupItemProps> extends ElementShadow {
    ignoreVarsBeforeExec: string[];
    count: number;
    protected runs: GIP[];
    private asyncJobs;
    init(props: GP | GIP[]): Promise<void>;
    exec(input?: any): Promise<ElementShadow[]>;
    private execElement;
}
