"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalVars = void 0;
const element_shadow_1 = require("../element-shadow");
class GlobalVars extends element_shadow_1.ElementShadow {
    props;
    ignoreVarsBeforeExec = ['props'];
    async init(props) {
        this.props = props;
    }
    async exec() {
        this.props = await this.scene.getVars(this.props, this);
        this.logger.trace(`[%s] \t%j`, this.tag, this.props);
        this.rootScene.mergeGlobalVars(this.props);
    }
}
exports.GlobalVars = GlobalVars;
//# sourceMappingURL=global-vars.js.map