import { Scene } from './../components/scene/scene';
import { Logger } from "./../libs/logger";
export declare const ClassInFileCharacter = "'";
export declare class TagsManager {
    private scene;
    modules: {
        [name: string]: any;
    };
    constructor(scene: Scene);
    register(modules?: {
        [name: string]: any;
    }): Promise<void>;
    getTag(name: string): Promise<any>;
    reset(): void;
    loadElementClass(name: string, logger: Logger): Promise<any>;
}
