"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemplatesManager = void 0;
class TemplatesManager {
    cached = new Map();
    pushToCached(name, props) {
        this.cached.set(name, props);
    }
    getFromCached(name) {
        const props = this.cached.get(name);
        if (!props)
            throw new Error(`Could not found element with id "${name}"`);
        return props;
    }
    reset() {
        this.cached.clear();
    }
}
exports.TemplatesManager = TemplatesManager;
//# sourceMappingURL=templates-manager.js.map